Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1733595 - Dynamic provisioning storage on vpshere backend fails with "404 Not Found" error
Summary: Dynamic provisioning storage on vpshere backend fails with "404 Not Found" error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.11.z
Assignee: Hemant Kumar
QA Contact: Liang Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-26 17:04 UTC by Luke Stanton
Modified: 2019-08-07 16:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-07 16:22:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 6 kedar 2019-07-29 10:50:06 UTC
Following are the pvc details been provided below.

# oc get -o yaml pvc vsphere-registry-storage

apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","kind":"PersistentVolumeClaim","metadata":{"annotations":{"volume.beta.kubernetes.io/storage-class":"vsphere"},"name":"vsphere-registry-storage","namespace":"default"},"spec":{"accessModes":["ReadWriteOnce"],"resources":{"requests":{"storage":"1Gi"}}}}
    volume.beta.kubernetes.io/storage-class: vsphere
    volume.beta.kubernetes.io/storage-provisioner: kubernetes.io/vsphere-volume
  creationTimestamp: 2019-07-26T13:04:20Z
  finalizers:
  - kubernetes.io/pvc-protection
  name: vsphere-registry-storage
  namespace: default
  resourceVersion: "10268623"
  selfLink: /api/v1/namespaces/default/persistentvolumeclaims/vsphere-registry-storage
  uid: e1c12169-afa5-11e9-9726-005056bbb29c
spec:
  accessModes:
  - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
status:
  phase: Pending


Note You need to log in before you can comment on or make changes to this bug.